Bug 748241

Summary: gnome-shell uses excessive CPU with System Monitor extension
Product: [Fedora] Fedora Reporter: Brian G. Anderson <bikehead>
Component: gnome-shell-extensionsAssignee: Rahul Sundaram <metherid>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: alexl, awilliam, browning48ky, clasohm, djuran, frederic.kerneuzet, jstpierr, maxamillion, metherid, michel, olivier.crete, otaylor, pikachu.2014, samkraju, stoty, timur.kristof, walters, wb8rcr
Target Milestone: ---Keywords: CommonBugs
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: RejectedBlocker https://fedoraproject.org/wiki/Common_F16_bugs#shell-monitor-cpu
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 13:41:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Brian G. Anderson 2011-10-23 10:32:20 EDT
Description of problem:
After I suspend my laptop and resume I find that gnome-shell is using 30-60% of my CPU.  I have to <F2>r restart the shell to get the CPU usage back down to the usual 1%.


Version-Release number of selected component (if applicable):
gnome-shell-3.2.1-1.fc16.x86_64

How reproducible:
everytime


Steps to Reproduce:
1. suspend the computer
2. resume the computer
3. use htop to see the gnome-shell usage
  
Actual results:


Expected results:


Additional info:
Comment 1 Frederic Kerneuzet 2011-10-28 05:41:39 EDT
I have exactly the same issue on my IBM T61 laptop.

But it seems to be the same thing after a yum update/installation of packages.
Comment 2 John J. McDonough 2011-10-31 19:37:09 EDT
Similar result on a T520, but it doesn't seem to need a suspend/resume.  Not sure yet whether screen blanking or just waiting long enough does it.

gnome-shell 3.2.1-2
kernel 3.1.0-5
Comment 3 Brian G. Anderson 2011-11-01 10:57:56 EDT
I agree with the observation that it doesn't require suspend/resume.  It seems to be a screen blank or idle to long problem.
Comment 4 John J. McDonough 2011-11-01 11:53:48 EDT
Last night I rebooted shortly before bed, did a quick check and then left it.  gnome-shell was consuming 85% CPU in the morning, memory about a half gig.  I think this may be related to the memory bug.
Comment 5 John J. McDonough 2011-11-02 17:43:57 EDT
I'm thinking this is probably a blocker, and also suspect it is the same as 726978.  The system gets pretty miserable after a while with a bunch of cores, with only one I suspect it would be unusable.  The Alt+F2-r thing works well, but not the sort of thing you want to ship.

I'm marking as a blocker so it at least gets discussed.
Comment 6 Adam Williamson 2011-11-03 12:44:17 EDT
Discussed at the 2011-11-02 go/no-go meeting, agreed this is rejected as a blocker: it's hardware specific (i.e. does not affect other hardware, as attested at the meeting), doesn't infringe any criteria, and can be reasonably addressed with an update.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Frederic Kerneuzet 2011-11-03 12:48:20 EDT
Are you sure that's hardware specific ? Because we seem to have 3 different hardware and the same issue.

I'll try on another computer, to see if this issue still exists..
Comment 8 Adam Williamson 2011-11-03 13:06:55 EDT
Yes. I have two systems running F16 full time and have not seen this once on either of them; two other people in the review meeting said the same thing about their hardware.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 John J. McDonough 2011-11-03 15:10:22 EDT
Last night some folks seemed confident that it had to do with the graphics.  Not sure what evidence there is of that, but for reference, mine is a i7-2760QM with Nvidia NVS 4200M.
Comment 10 Brian G. Anderson 2011-11-03 16:26:24 EDT
I use an Intel graphics card i915 (sandybridge).  I'm curious, what hardware is this bug specific to?  Not the graphics card apparently.
Comment 11 Adam Williamson 2011-11-03 18:05:42 EDT
could be configuration specific too - point is, it doesn't affect all systems.

are you all using any Shell extensions?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Brian G. Anderson 2011-11-04 13:56:25 EDT
Yes, I am using shell extensions.  After some experimentation, my CPU problem goes away if I disable SystemMonitor.  And that makes me remember, that I always wondered why my CPU under htop was 60% while SystemMonitor never showed a problem.

Of course, many gnome-shell-extension-* packages are broken.
Comment 13 Adam Williamson 2011-11-04 15:07:59 EDT
I believe there was an ML thread where someone mentioned System Monitor was causing issues, too. Are you rest of you using that extension as well?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Frederic Kerneuzet 2011-11-04 15:11:31 EDT
You're totally right, I'm also using this extension.
Comment 15 John J. McDonough 2011-11-04 15:23:20 EDT
Same here
Comment 16 Adam Williamson 2011-11-04 15:55:52 EDT
Updating summary and re-assigning.

Upstream has one recent commit to system-monitor:

http://git.gnome.org/browse/gnome-shell-extensions/commit/?id=2bba98d6214cffae2eb5cecb9d7c1f6b6d244052

I dunno if that'd help this. There doesn't seem to be an upstream report of this specific issue.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Jasper St. Pierre 2011-11-04 16:11:44 EDT
That just fixes it so that disabling/enabling the extension works correctly.

The way it works is that we retrieve values from GTop and re-draw the entire monitor every half second, even if the actor is not being displayed. That is quite resource intensive.

Please file a new bug.
Comment 18 Adam Williamson 2011-11-08 01:12:54 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 István Tóth 2011-11-16 03:49:12 EST
I have the same problem as the original reporter on a HP 8540p laptop since I have installed and turned on SystemMonitor.

x86_64, all updates installed, + latest binary nvidia drivers from rpmfusion.
Comment 20 Fedora End Of Life 2013-01-16 10:35:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Fedora End Of Life 2013-02-13 13:41:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.